<?php
/*  Copyright 2003 Alexandre Coster <acoster@inf.ufrgs.br>
	PardalCMS 0.2 : Sistema para blogs em PHP/MySQL

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Funes que lidam com a gerao de pginas "skinned"
 */
	/**
	* @return void
	* @param $pagina int
	* @desc Gera (e exibe) o index.
	*/
	function GeraIndex($pagina) {
		//declarao dos arquivos a serem usados
		global $spath, $_CONF, $_SKIN, $_PATH;
		
		$spath = $spath . '/index';
		$arquivos = array(
						"page" => "index.ihtml",
						"post_f" => "posts.ihtml");

		//instanciando objeto e abrindo os arquivos.
		$t = new Template($spath, "remove");
		$t->set_file($arquivos);

		$variaveis = array(
						'SITENAME'  => $_CONF['nome'],
						'SITEURL'   => $_CONF['url'],
						'SLOGAN'    => $_CONF['slogan'],
						'SKINRPATH' => $_PATH['skins'] . '/' . $_CONF['skin']);
		
		$t->set_block('post_f', 'postb', 'posts');
	
	
		if($pagina > 0) {
			$temp_array = array('PANTERIOR' => '<a href="index.php?pagina=' . ($pagina - 1) . '">' . $_SKIN['panterior'] . '</a>');
			$variaveis = array_merge($variaveis, $temp_array);
		} else {
			$temp_array = array('PANTERIOR' => '');
			$variaveis = array_merge($variaveis, $temp_array);
		}
		
		$totalpaginas = ceil(CountPosts()/$_SKIN['per_page'])-1;
		
		if($pagina < $totalpaginas) {
			$temp_array = array('PPROXIMA' => '<a href="index.php?pagina=' . ($pagina + 1) . '">' . $_SKIN['pproxima'] = '&raquo&raquo' . '</a>');
			$variaveis = array_merge($variaveis, $temp_array);
		} else {
			$temp_array = array('PPROXIMA' => '');
			$variaveis = array_merge($variaveis, $temp_array);
		}
		
		$t->set_var($variaveis);
		$posts = GrabPosts($_SKIN['per_page'], $pagina, $_SKIN['format']);
		$post_ammount = count($posts);
	
		for($i = 0; $i < $post_ammount; $i++) {
			$autor = GetUserInfo($posts[$i]['aid']);
			$t->set_var(array(
						'TITULO'      => $posts[$i]['titulo'],
						'AUTOR_NICK'  => $autor['login'],
						'AUTOR_MAIL'  => $autor['email'],
						'QUANDO'      => $posts[$i]['quando'],
						'ID'		  => $posts[$i]['id'],
						'COMENTARIOS' => CountComments($posts[$i]['id'])));
			if($_CONF['pcarinhas']) {
				$t->set_var(array('POSTC' => nl2br(MakeSmileys($posts[$i]['conteudo']))));
			} else {
				$t->set_var(array('POSTC' => nl2br($posts[$i]['conteudo'])));
			}
			
			$t->parse('posts', 'postb', true);
		}
		$t->parse("OUT", array('post_f', 'page'));
		$t->p('OUT');
	}
	
	function GeraComentarios($id) {
		global $spath, $_CONF, $_SKIN, $_PATH;
		
		$spath = $spath . '/comentarios';
		$arquivos = array(
						"page"   => "icomentarios.ihtml",
						"comms"  => "comms.ihtml");
		
		$t = new Template($spath, 'remove');
		$t->set_file($arquivos);
		
		$t->set_block('comms', 'comments', 'comentarios');
		$t->set_var(array(
						'ID'		=> $id,
						'SITEURL'   => $_CONF['url'],
						'SITENAME'  => $_CONF['nome'],
						'SLOGAN'    => $_CONF['slogan'],
						'SKINRPATH' => $_PATH['skins'] . '/' . $_CONF['skin']));
		
		
		$comentarios  = GrabComments($id, $_SKIN['format'], FALSE);
		$comm_ammount = count($comentarios);
		
		for($i = 0; $i < $comm_ammount; $i++) {
			
			if($_CONF['ccarinhas']) {
				$t->set_var(array('COMENTARIO' => nl2br(MakeSmileys(htmlentities($comentarios[$i]['comentario'])))));
			} else {
				$t->set_var(array('COMENTARIO' => nl2br(htmlentities($comentarios[$i]['comentario']))));
			}
			
			$t->set_var(array('QUANDO'     => $comentarios[$i]['quando']));
			
			if($comentarios[$i]['site'] != NULL) {
				$t->set_var(array(
					'WHO' => '<a href="' . $comentarios[$i]['site'] . '" target="_blank">' . htmlentities($comentarios[$i]['nome']) . '</a>'));
			} else {
				$t->set_var(array('WHO' => htmlentities($comentarios[$i]['nome'])));
			}
			$t->parse('comentarios', 'comments', true);
		}
		$t->parse("C_OUT", array('comms', 'page'));
		$t->p('C_OUT');
	}
?>